#line 1 "BMS_EEPROM.c"
#line 1 "BMS_EEPROM.c"

#line 14 "BMS_EEPROM.c"
 


#line 20 "BMS_EEPROM.c"
 





#line 37 "BMS_EEPROM.c"
 
unsigned char EEread(unsigned char adress)
{

    unsigned char gie_old=INTCONbits.GIE;

    INTCONbits.GIE=0;

    EECON1bits.CFGS=0;

    EECON1bits.EEPGD=0;                                 

    EEADR=adress;                                      

    EECON1bits.RD=1;                                    

    INTCONbits.GIE=gie_old;

    return EEDATA;
}


#line 70 "BMS_EEPROM.c"
 
void EEwrite(unsigned char adress, unsigned char data)
{

    INTCONbits.GIE=0;

    EECON1bits.CFGS=0;

    EECON1bits.EEPGD=0;                                 

    EECON1bits.WREN=1;                                  

    EEADR=adress;                                      

    EEDATA=data;                                        

    EECON2=0x55;                                        

    EECON2=0xAA;                                        

    EECON1bits.WR=1;                                    

    while(EECON1bits.WR);                               

    EECON1bits.WREN=0;                                  

    PIR4bits.EEIF=0;                                    

    INTCONbits.GIE=1;
}
