 /*********************************************************************
 *
 *                  BMS_MISRA Header
 *
 *********************************************************************
 * FileName:        BMS_MISRA.h
 * Processor:       PIC18F45K80
 * Compiler:        Microchip C18 v3.41
 * Company:         KIT - CN - IPE
 *
 * Author           Date         Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Reiling V.       30.03.2012   Release
 *********************************************************************/

#ifndef MISRA_H     // To avoid duplicate inclusion
#define MISRA_H



/*********************************************************************
 *
 * MISRA purpose typedef's
 *
 ********************************************************************/
typedef           char   char_t;
typedef signed    char   int8_t;
typedef signed    short  int16_t;
typedef signed    long   int32_t;
//typedef signed    long   int64_t;      // Nicht mit PIC Compiler mglich
typedef unsigned  char   uint8_t;
typedef unsigned  short  uint16_t;
typedef unsigned  long   uint32_t;
//typedef unsigned  long   uint64_t;     // Nicht mit PIC Compiler mglich
typedef           float  float32_t;
//typedef           double float64_t;    // Nicht mit PIC Compiler mglich
//typedef long      double float128_t;   // Nicht mit PIC Compiler mglich

#endif